Subject: RE: linux-next: Tree for June 3

From: Linus Torvalds <[email-masked]>
Date: Fri, 4 Jun 2010 15:57:13 -0700 (PDT)

On Fri, 4 Jun 2010, Luck, Tony wrote:
> 
> It gets rid of the oops. So that's good.  Something is still
> hokey in linux-next land though because no modules get loaded.
> So no ehci/uhci available :-(

So maybe the error (the one that caused us to exit and caused the oops due 
to the wrong return value) is the one that now causes it to not load.

I note that ia64 has a pretty big/complex module_frob_arch_sections(). 
Many architectures (like x86) has a trivial one ("return 0;"), and there 
might be some ordering differences in the setup that only matter with 
architectures that do odd things there..

		Linus